Bug 19214 - i18n-ISSUE-195: No further ruby element descendants
i18n-ISSUE-195: No further ruby element descendants
Status: VERIFIED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC All
: P2 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 16:29 UTC by i18n IG
Modified: 2014-03-06 23:16 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description i18n IG 2012-10-02 16:29:19 UTC
(endorsed by the i18n WG)

4.6.20 The ruby element
http://dev.w3.org/html5/spec/the-ruby-element.html#the-ruby-element

"A single ruby element, but with no further ruby element descendants"

Does this mean that you can't have a ruby element and additional characters alongside it? For example, since multiple annotations don't always refer to the same sequences of characters, it would be important to ensure you could do the following:

...<ruby><ruby>護<rt>まも</rt></ruby>れ<rt>プロテゴ</rt></ruby>!...

This should result in the rendered text where the hiragana is mono-ruby pronunciation that refers only to the first kanji character, and the katakana is group-ruby that refers to the kanji+hiragana base characters together.

I think that it is clear how this should be parsed, but it must be allowed by the rules in the spec.
Comment 1 Silvia Pfeiffer 2012-10-07 06:57:33 UTC
Is the fix in the WHATWG patch satisfactory?
https://github.com/w3c/html/commit/40f33a8873b6a4c655a0b6ab79e3deb28078a7ad
Comment 2 i18n IG 2012-10-17 17:04:39 UTC
Looks good to me. Thanks.
Comment 3 Silvia Pfeiffer 2012-10-21 22:33:53 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description:
https://github.com/w3c/html/commit/40f33a8873b6a4c655a0b6ab79e3deb28078a7ad

Rationale: Adopted WHATWG patch
Comment 4 Addison Phillips 2014-03-06 23:16:33 UTC
I18N is satisfied by these changes. Thank you.